Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027749
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Mobile Procurementmajoralways2014-10-03 08:542014-10-10 16:47
ReportercaristuView Statuspublic 
Assigned ToOrekaria 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision1538ae62f56d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression levelProduction - QA Approved
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027749: Is not possible to change the default business partner

DescriptionIs not possible to change the default business partner
Steps To Reproduce1) Install the module, having version 1.0.1301 of mobile core module
2) Configure a new procurement terminal as explained here: http://wiki.openbravo.com/wiki/Mobile_Procurement:Configuration_Guide [^] [^]
3) Log in into the new terminal
4) Try to change the default business partner, notice that it can't be changed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070786)
hgbot (developer)
2014-10-07 22:14

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f6c3f6f5a0f39ff2d11e3a8be8ce2c5a568fb1f0
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Tue Oct 07 17:13:44 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f6c3f6f5a0f39ff2d11e3a8be8ce2c5a568fb1f0 [^]

Fixed issue 27749: Added callback in saveTerminalInfo method

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0070787)
hgbot (developer)
2014-10-07 22:59

Repository: erp/pmods/org.openbravo.mobile.procurement
Changeset: 1538ae62f56dd545304665f5cdc0864a1370d68f
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Tue Oct 07 17:58:21 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/1538ae62f56dd545304665f5cdc0864a1370d68f [^]

Fixed issue 27749: Saved new business partner in terminal info before reload the window

---
M src/org/openbravo/mobile/procurement/sync/SetBusinessPartner.java
M src/org/openbravo/mobile/procurement/term/BusinessPartner.java
M web/org.openbravo.mobile.procurement/source/data/mpr-datasetbp.js
M web/org.openbravo.mobile.procurement/source/model/mpr-order.js
M web/org.openbravo.mobile.procurement/source/pointofpurchase/mpr-popurchase-businesspartner.js
M web/org.openbravo.mobile.procurement/source/pointofpurchase/mpr-popurchase-model.js
M web/org.openbravo.mobile.procurement/source/terminal/mpr-terminal.js
---
(0070883)
migueldejuana (developer)
2014-10-10 16:47

Tested and reviewed in d2accf00dbb2

- Issue History
Date Modified Username Field Change
2014-10-03 08:54 caristu New Issue
2014-10-03 08:54 caristu Assigned To => Orekaria
2014-10-03 09:02 caristu Steps to Reproduce Updated View Revisions
2014-10-03 10:04 caristu Priority high => immediate
2014-10-03 10:31 caristu Regression level => Production - QA Approved
2014-10-03 10:31 caristu version => 1.1.2
2014-10-07 22:14 hgbot Checkin
2014-10-07 22:14 hgbot Note Added: 0070786
2014-10-07 22:14 hgbot Status new => resolved
2014-10-07 22:14 hgbot Resolution open => fixed
2014-10-07 22:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f6c3f6f5a0f39ff2d11e3a8be8ce2c5a568fb1f0 [^]
2014-10-07 22:59 hgbot Checkin
2014-10-07 22:59 hgbot Note Added: 0070787
2014-10-07 22:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f6c3f6f5a0f39ff2d11e3a8be8ce2c5a568fb1f0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/1538ae62f56dd545304665f5cdc0864a1370d68f [^]
2014-10-10 16:47 migueldejuana Review Assigned To => migueldejuana
2014-10-10 16:47 migueldejuana Note Added: 0070883
2014-10-10 16:47 migueldejuana Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker